# Flask-Comment

[![Current version on PyPI](https://img.shields.io/pypi/v/flask-comment)](https://pypi.org/project/flask-comment/)
[![codecov](https://codecov.io/gh/yuxiaoy1/flask-comment/branch/main/graph/badge.svg?token=2CFPCZ1DMY)](https://codecov.io/gh/yuxiaoy1/flask-comment)

Create comment component in Flask/Jinja2 template, supporting [Disqus](https://disqus.com), [Cusdis](https://cusdis.com), [Valine](https://valine.js.org), [Utterances](https://utteranc.es) and [Gitalk](https://github.com/gitalk/gitalk).

## Requirements

* Python 3.6+
* Flask 1.1.0+

## Installation

For Linux and macOS:

```bash
$ pip3 install flask-comment
```

For Windows:

```bash
> pip install flask-comment
```

## Links

* [Documentation](https://flask-comment.readthedocs.io)
* [Example Application](https://github.com/yuxiaoy1/flask-comment/tree/main/examples)
* [PyPI Releases](https://pypi.org/project/flask-moment)
* [Source Code](https://github.com/yuxiaoy1/flask-comment)
* [Issue Tracker](https://github.com/yuxiaoy1/flask-comment/issues)
* [Changelog](https://github.com/yuxiaoy1/flask-comment/blob/main/CHANGES.md)

## License

This project is licensed under the MIT License (see the `LICENSE` file for details).
